Bug 431181 - Review Request: libitl - Libraries for The Islamic Tools and Libraries Project
Review Request: libitl - Libraries for The Islamic Tools and Libraries Project
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 431186 431188
  Show dependency treegraph
 
Reported: 2008-02-01 06:03 EST by Mohd Izhar Firdaus Ismail
Modified: 2008-02-14 21:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 21:24:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mohd Izhar Firdaus Ismail 2008-02-01 06:03:53 EST
Spec URL: http://izhar.fedorapeople.org/itl/libitl.spec
SRPM URL: http://izhar.fedorapeople.org/itl/libitl-0.6.4-1.fc8.src.rpm
Description: 

The Islamic Tools and Libraries (ITL) is a project
to provide a plethora of useful Islamic tools and
applications as well as a comprehensive feature-full
Islam-centric library. The ITL project currently
includes Hijri date, Muslim prayer times, and Qibla.

This package contains the libraries for applications using ITL
Comment 1 Jason Tibbitts 2008-02-02 00:34:42 EST
Builds OK and rpmlint is clean.  Some comments:

It seems that you have no choice but to run the autotools since upstream does
not ship generated copies, but you should ask upstream to do this before
creating your tarball.  Otherwise there could be problems when the version of
Fedora's autotools doesn't match what upstream expects to use.

I do not see where the license version is specified.  The source files seem to
say "under LGPL license" but do not specify a version.  The included COPYING
file says only that you can use any version ever published in this case.  So
instead of LGPLv2 as you have, I think the license tag should be LGPLv2+.  See
this text from http://fedoraproject.org/wiki/Licensing:
----
A GPL or LGPL licensed package that lacks any statement of what version that
it's licensed under in the source code/program output/accompanying docs is
technically licensed under *any* version of the GPL or LGPL, not just the
version in whatever COPYING file they include.
----

The unversioned .so file needs to be in the -devel package.

This package installs a library into /usr/lib/itl but doesn't configure the
linker to look into that directory.  I haven't yet looked at the packages which
use this library, but I'm not sure how that can work unless they open this
library with dlopen() or they use rpath (which they probably shouldn't).  In any
case, the ldconfig calls are pointless in this case because they will not find
the libraries you have added.  Is there some reason this library needs to be in
its own, separate directory?


* source files match upstream:
  169b03cf9a9d6c07ff49055666891562ae21256751c32a5ec99dfa4b574679af  
  libitl-0.6.4.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not match the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
  libitl-0.6.4-1.fc9.x86_64.rpm
   libitl.so.0()(64bit)
   libitl = 0.6.4-1.fc9
  =
   /sbin/ldconfig
   libitl.so.0()(64bit)

  libitl-devel-0.6.4-1.fc9.x86_64.rpm
   libitl-devel = 0.6.4-1.fc9
  =
   libitl = 0.6.4-1.fc9

* %check is not present; no test suite upstream.
? a shared library is installed, but not into a standard location; a call to 
   ldconfig is pointless in this case.
X unversioned .so files should be in the -devel package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Mohd Izhar Firdaus Ismail 2008-02-03 02:10:11 EST
Thanks

About the autotools issue, I've just sent an email to upstream developer and
waiting for his reply.

in the meantime:

- changed the license tag to LGPLv2+ 
- moved the so files to %{_libdir}.
- considering the current autoconf version works with this tarball, I've ran it
and generated a patch to include a working configure script until upstream
provided their own generated configure script.

http://izhar.fedorapeople.org/itl/libitl.spec
http://izhar.fedorapeople.org/itl/libitl-0.6.4-2.fc8.src.rpm

Comment 3 Mamoru TASAKA 2008-02-10 07:17:56 EST
Jason, this bug blocks the following two review requests. Would
you update the status?
Comment 4 Jason Tibbitts 2008-02-11 15:24:25 EST
Aargh, setting needinfo made this drop out of my TODO list and I missed it when
I was going over my tickets this weekend.  I really wish needinfo worked better.

Anyway, the new package looks better, but there's a problem with the avoidance
of autoconf.

First off, if you're going to provide a built configure file, please just supply
it as Souce1: instead of patching it in.  A patch that does nothing more than
add a source file is rather strange.

But honestly, I'm not really sure that patching in the configure file is any
better than just generating it.  It has the benefit of not requiring the
autotools and not being dependent on the specific autotools versions that might
be installed on each release you're building on, so I guess it's no worse. 
Frankly I'm not really sure which is the right thing to do, but I've held this
ticket up long enough thinking about the issue.

So I'll go ahead and approve this, but please move the new configure file to a
source file instead of a patch before you check things in.

APPROVED
Comment 5 Mohd Izhar Firdaus Ismail 2008-02-14 07:53:33 EST
New Package CVS Request
=======================
Package Name: libitl
Short Description: Libraries for The Islamic Tools and Libraries Project
Owners: izhar
Branches: F-7 F-8
InitialCC: izhar
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-02-14 17:13:30 EST
cvs done.
Comment 7 Mohd Izhar Firdaus Ismail 2008-02-14 21:24:44 EST
Thanks all

Note You need to log in before you can comment on or make changes to this bug.